Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.util
Class IteratorEnumeration

    java.lang.Object
      org.crosswire.common.util.IteratorEnumeration

All Implemented Interfaces:
  Enumeration

    public final class IteratorEnumeration

extends Object
implements Enumeration

Convert an Iterator into a Enumeration.

The only real difference between the 2 is the naming and that Enumeration does not have the delete method.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: IteratorEnumeration.java,v 1.2 2004/11/28 21:36:31 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private Iterator` | `it` The Iterator that we are proxying to

Constructor Summary
`IteratorEnumeration(Iterator it)` Create an Enumeration that proxies to an Iterator

Method Summary
`boolean` | `hasMoreElements()` Returns true if the iteration has more elements
`Object` | `nextElement()` Returns the next element in the interation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### it

    private Iterator it

  The Iterator that we are proxying to

Constructor Detail

### IteratorEnumeration

    public IteratorEnumeration(Iterator it)

  Create an Enumeration that proxies to an Iterator

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Returns true if the iteration has more elements

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()
                       throws NoSuchElementException

  Returns the next element in the interation

  Specified by:
    `nextElement` in interface `Enumeration`
  Throws:
    `NoSuchElementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD